%global pypi_name pytest-astropy

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        %mkrel 2
Summary:        The py.test astropy plugin
Group:		    Development/Python

License:        BSD
URL:            https://pypi.org/project/pytest-astropy/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-arraydiff)
BuildRequires:  python3dist(pytest-doctestplus)
BuildRequires:  python3dist(pytest-openfiles)
BuildRequires:  python3dist(pytest-remotedata)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-arraydiff)
Requires:       python3dist(pytest-doctestplus)
Requires:       python3dist(pytest-openfiles)
Requires:       python3dist(pytest-remotedata)
Requires:       python3dist(six)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_astropy

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst




%changelog
* Wed Oct 26 2022 papoteur <papoteur> 0.10.0-2.mga9
+ Revision: 1899507
- Rebuild for python-pytest-astropy-header

* Wed Sep 07 2022 neoclust <neoclust> 0.10.0-1.mga9
+ Revision: 1885140
- New version  0.10.0

* Tue Mar 29 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1832166
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.9.0-1.mga9
+ Revision: 1775897
- version 0.9.0
- rebuild for python-3.10

* Sun Mar 21 2021 joequant <joequant> 0.8.0-2.mga9
+ Revision: 1706776
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.8.0-1.mga9
+ Revision: 1695453
- new version 0.8.0

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-2.mga8
+ Revision: 1534945
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.5.0-1.mga8
+ Revision: 1450313
- imported package python-pytest-astropy


* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.5.0-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.4.0-1
- new version

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2.0-1
- initial packaging effort

